Main Page Packages Class Hierarchy Compound List File List Compound Members

# entitygetentityname Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| entitygetentityname (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The nodeName attribute that is inherited from Node contains the name of the entity.

Retrieve the entity named "ent1" and access its name by invoking the "getNodeName()" method inherited from the Node interface.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-527DCFF2 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-F68D095

Definition at line 45 of file entitygetentityname.java.

## Constructor & Destructor Documentation

entitygetentityname::entitygetentityname | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 47 of file entitygetentityname.java.
    00048  {
    00049       super(factory);
    00050
    00051    }

## Member Function Documentation

String entitygetentityname::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 67 of file entitygetentityname.java.
    00067                                 {
    00068       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/entitygetentityname";
    00069    }

void entitygetentityname::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 70 of file entitygetentityname.java. References DOMTestCase::doMain().
    00070                                           {
    00071         DOMTestCase.doMain(entitygetentityname.class,args);
    00072    }

void entitygetentityname::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 53 of file entitygetentityname.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00053                                                     {
    00054       Document doc;
    00055       DocumentType docType;
    00056       NamedNodeMap entityList;
    00057       Entity entityNode;
    00058       String entityName;
    00059       doc = load("staff");
    00060       docType = doc.getDoctype();
    00061       entityList = docType.getEntities();
    00062       entityNode = (Entity)entityList.getNamedItem("ent1");
    00063       entityName = entityNode.getNodeName();
    00064       assertEquals("entityGetEntityNameAssert","ent1",entityName);
    00065
    00066    }

The documentation for this class was generated from the following file:

- entitygetentityname.java